Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455244 - Mouse pad on the Logitech diNovo Mino doesn't work
Summary: Mouse pad on the Logitech diNovo Mino doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 12:44 UTC by David Andersson
Modified: 2008-09-23 01:09 UTC (History)
0 users

Fixed In Version: 2.6.26.3-29
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-23 01:09:49 UTC


Attachments (Terms of Use)
Dmesg output after connecting the stick (deleted)
2008-07-14 12:44 UTC, David Andersson
no flags Details

Description David Andersson 2008-07-14 12:44:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):
kernel.i686                              2.6.25.9-76.fc9

How reproducible:
Everytime

Steps to Reproduce:
1. But in the bluetooth stick
2. Keyboard works
3. Mouse does not (The keyboard has a built in mouse pad)
  
Actual results:
The mouse pad doesn't work

Expected results:
Mouse pad should work

Additional info:
Support for this was added in the newly released 2.6.26 kernel and is present in
the current rawhide kernel.

Comment 1 David Andersson 2008-07-14 12:44:48 UTC
Created attachment 311692 [details]
Dmesg output after connecting the stick

Comment 2 David Andersson 2008-07-15 12:06:45 UTC
And here is the commit:
commit c8f0f02f3cc86652a32640b101b1f779f7ea3076
Author: Jiri Kosina <jkosina@suse.cz>
Date:   Mon Mar 31 23:49:22 2008 +0200

    HID: Logitech diNovo Mini pad support
    
    Logitech diNovo Mini needs DUPLICATE_USAGES quirk.
    
    Reported-by: Tom Horsley <tom.horsley@att.net>
    Signed-off-by: Jiri Kosina <jkosina@suse.cz>

diff --git a/drivers/hid/usbhid/hid-quirks.c b/drivers/hid/usbhid/hid-quirks.c
index 433feb6..28ac599 100644
--- a/drivers/hid/usbhid/hid-quirks.c
+++ b/drivers/hid/usbhid/hid-quirks.c
@@ -326,6 +326,7 @@
 #define USB_DEVICE_ID_LOGITECH_CORDLESS_DESKTOP_LX500  0xc512
 #define USB_DEVICE_ID_MX3000_RECEIVER  0xc513
 #define USB_DEVICE_ID_DINOVO_EDGE      0xc714
+#define USB_DEVICE_ID_DINOVO_MINI      0xc71f
 
 #define USB_VENDOR_ID_MCC              0x09db
 #define USB_DEVICE_ID_MCC_PMD1024LS    0x0076
@@ -445,6 +446,7 @@ static const struct hid_blacklist {
        { USB_VENDOR_ID_TOPMAX, USB_DEVICE_ID_TOPMAX_COBRAPAD, HID_QUIRK_BADPAD },
        
        { USB_VENDOR_ID_LOGITECH, USB_DEVICE_ID_DINOVO_EDGE,
HID_QUIRK_DUPLICATE_USAGES },
+       { USB_VENDOR_ID_LOGITECH, USB_DEVICE_ID_DINOVO_MINI,
HID_QUIRK_DUPLICATE_USAGES },
 
        { USB_VENDOR_ID_AFATECH, USB_DEVICE_ID_AFATECH_AF9016,
HID_QUIRK_FULLSPEED_INTERVAL },

Comment 3 David Andersson 2008-07-15 12:08:32 UTC
And the header to the commit:
commit c8f0f02f3cc86652a32640b101b1f779f7ea3076
Author: Jiri Kosina <jkosina@suse.cz>
Date:   Mon Mar 31 23:49:22 2008 +0200


Comment 4 Chuck Ebbert 2008-09-23 01:09:49 UTC
Should be fixed in 2.6.26.3-29.


Note You need to log in before you can comment on or make changes to this bug.